Package skyview.process.imagefinder

# Class Radius

java.lang.Object
skyview.process.ImageFinder
skyview.process.imagefinder.RectRecurse
skyview.process.imagefinder.Border
skyview.process.imagefinder.Radius

public class Radius extends Border
This class finds the best images to be used for sampling using a recursive rectangle algorithm. It looks for rectangles the boundaries of which can all be sampled from the same input image.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected double[][]`
`centers`
`protected boolean`
`firstCall`

### Fields inherited from class skyview.process.imagefinder.RectRecurse

`CONSUMED, fromOut, NO_COVERAGE, NON_PHYSICAL, SPLIT_X, SPLIT_XY, SPLIT_Y, UNCHECKED`

## Constructor Summary

Constructors
Constructor
Description
`Radius()`

## Method Summary

Modifier and Type
Method
Description
`protected double`
`criterion(int i, int nx, int ny, double x, double y)`
Being close to the center is the goal.

### Methods inherited from class skyview.process.imagefinder.RectRecurse

`cornerMatch, edgeOff, findImages, getCandidate, getImage, getInputLimits, minDist, printOut, radiusSquared, setStrict`

### Methods inherited from class skyview.process.ImageFinder

`factory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### firstCall

protected boolean firstCall

### centers

protected double[][] centers

## Constructor Details

### Radius

public Radius()

## Method Details

### criterion

protected double criterion(int i, int nx, int ny, double x, double y)
Being close to the center is the goal.

Overrides:
  `criterion` in class `Border`
Parameters:
  `i` - The index of the image being considered
  `nx` - The width of the candidate image
  `ny` - The height of the caandiate image
  `x` - The x-value of the requested point.
  `y` - The y-value of the requested point.
Returns:
  The inverse of 4 r^2. This is a little faster to computer so we use this rather than inverse of the radius.